<?xml version="1.0" encoding="UTF-8"?>
<ecore:EPackage xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" name="Transformation" nsURI="http://www.eclipse.org/papyrus/Transformation/1"
    nsPrefix="Transformation">
  <eClassifiers xsi:type="ecore:EClass" name="M2MTrafo">
    <eAnnotations source="http://www.eclipse.org/emf/2002/GenModel">
      <details key="documentation" value="Represents a M2M transformation. Such an M2M is directly associated with a Java implementation (via an extension point). Can define a relative execution order by referencing other transformations"/>
    </eAnnotations>
    <eStructuralFeatures xsi:type="ecore:EReference" name="base_Class" ordered="false"
        lowerBound="1" eType="ecore:EClass platform:/plugin/org.eclipse.uml2.uml/model/UML.ecore#//Class"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="before" ordered="false"
        eType="#//M2MTrafo"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="after" ordered="false"
        eType="#//M2MTrafo"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="M2MTrafoChain">
    <eAnnotations source="http://www.eclipse.org/emf/2002/GenModel">
      <details key="documentation" value="Represents a M2M transformation chain: a class whoses attributes are typed with M2M transformations&#xA;"/>
    </eAnnotations>
    <eStructuralFeatures xsi:type="ecore:EReference" name="base_Class" ordered="false"
        lowerBound="1" eType="ecore:EClass platform:/plugin/org.eclipse.uml2.uml/model/UML.ecore#//Class"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="DerivedElement">
    <eAnnotations source="http://www.eclipse.org/emf/2002/GenModel">
      <details key="documentation" value="An element that is e result of a M2M transformation"/>
    </eAnnotations>
    <eStructuralFeatures xsi:type="ecore:EReference" name="base_Element" ordered="false"
        lowerBound="1" eType="ecore:EClass platform:/plugin/org.eclipse.uml2.uml/model/UML.ecore#//Element"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="source" ordered="false"
        lowerBound="1" eType="ecore:EClass platform:/plugin/org.eclipse.uml2.uml/model/UML.ecore#//Element"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="ApplyTransformation">
    <eAnnotations source="http://www.eclipse.org/emf/2002/GenModel">
      <details key="documentation" value="Force the application of a specific M2M transformtion on an element."/>
    </eAnnotations>
    <eStructuralFeatures xsi:type="ecore:EReference" name="trafo" ordered="false"
        upperBound="-1" eType="#//M2MTrafo"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="base_Element" ordered="false"
        lowerBound="1" eType="ecore:EClass platform:/plugin/org.eclipse.uml2.uml/model/UML.ecore#//Element"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="ExecuteTrafoChain">
    <eAnnotations source="http://www.eclipse.org/emf/2002/GenModel">
      <details key="documentation" value="Execute a specified transformation chain."/>
    </eAnnotations>
    <eStructuralFeatures xsi:type="ecore:EReference" name="base_Package" ordered="false"
        lowerBound="1" eType="ecore:EClass platform:/plugin/org.eclipse.uml2.uml/model/UML.ecore#//Package"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="chain" ordered="false"
        eType="#//M2MTrafoChain"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="additionalTrafos" ordered="false"
        upperBound="-1" eType="#//M2MTrafo"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="additionalChains" ordered="false"
        upperBound="-1" eType="#//M2MTrafoChain"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="Monitored">
    <eStructuralFeatures xsi:type="ecore:EReference" name="base_StateMachine" ordered="false"
        lowerBound="1" eType="ecore:EClass platform:/plugin/org.eclipse.uml2.uml/model/UML.ecore#//StateMachine"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="isMonitored" ordered="false"
        lowerBound="1" eType="ecore:EDataType platform:/plugin/org.eclipse.uml2.types/model/Types.ecore#//Boolean"
        defaultValueLiteral="true"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="exclude" ordered="false"
        upperBound="-1" eType="ecore:EClass platform:/plugin/org.eclipse.uml2.uml/model/UML.ecore#//Element"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="exclusivelyInclude" ordered="false"
        upperBound="-1" eType="ecore:EClass platform:/plugin/org.eclipse.uml2.uml/model/UML.ecore#//Element"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="generateMonitoringCode"
        ordered="false" lowerBound="1" eType="ecore:EDataType platform:/plugin/org.eclipse.uml2.types/model/Types.ecore#//Boolean"
        defaultValueLiteral="true"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="generateExclude" ordered="false"
        upperBound="-1" eType="ecore:EClass platform:/plugin/org.eclipse.uml2.uml/model/UML.ecore#//Element"/>
    <eStructuralFeatures xsi:type="ecore:EReference" name="generateExclusivelyInclude"
        ordered="false" upperBound="-1" eType="ecore:EClass platform:/plugin/org.eclipse.uml2.uml/model/UML.ecore#//Element"/>
  </eClassifiers>
</ecore:EPackage>
